<?php
/**
 * Fichier gérant l'installation et désinstallation du plugin balint
 *
 * @plugin     balint
 * @copyright  2020
 * @author     Gamuza[informatique]
 * @licence    GNU/GPL
 * @package    SPIP\Fip\Installation
 */

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

include_spip('inc/cextras');
include_spip('base/balint');
/**
 * Fonction d'installation et de mise à jour du plugin balint.
 *
 * @param string $nom_meta_base_version
 *     Nom de la meta informant de la version du schéma de données du plugin installé dans SPIP
 * @param string $version_cible
 *     Version du schéma de données dans ce plugin (déclaré dans paquet.xml)
 * @return void
**/
function balint_upgrade($nom_meta_base_version, $version_cible) {
	$maj = array();

	$maj['create'] = array(
		array('maj_tables', array('spip_articles')),
		array('config_prive')
	);

	$maj['1.0.7'] = array(
		array('maj_tables', array('spip_articles')),
		array('config_prive')
	);


	function config_prive(){
		include_spip('inc/config');
		ecrire_config('uploadhtml5/charger_public','on');
	}

	cextras_api_upgrade(balint_declarer_champs_extras(), $maj['create']);
	cextras_api_upgrade(balint_declarer_champs_extras(), $maj['1.0.1']);
	cextras_api_upgrade(balint_declarer_champs_extras(), $maj['1.0.3']);
	cextras_api_upgrade(balint_declarer_champs_extras(), $maj['1.0.7']);

	include_spip('base/upgrade');
	maj_plugin($nom_meta_base_version, $version_cible, $maj);
}


/**
 * Fonction de désinstallation du plugin balint.
 *
 * @param string $nom_meta_base_version
 *     Nom de la meta informant de la version du schéma de données du plugin installé dans SPIP
 * @return void
**/
function balint_vider_tables($nom_meta_base_version) {


	effacer_meta($nom_meta_base_version);
}
